# $Revision: 1.10 $, $Date: 2008/06/04 02:24:54 $
Summary:	NATDet - easy to use NAT detecion program
Summary(pl.UTF-8):	NATDet - łatwy w obsłudze program do wykrywania NAT-u w sieci
Name:		natdet
Version:	1.0.6
Release:	1
License:	GPL v2
Group:		Applications/Networking
Source0:	http://elceef.itsec.pl/natdet/%{name}-%{version}.tgz
# Source0-md5:	3300273c0cb9f582bbe8464ca764e91d
Patch0:		%{name}-PLD.patch
URL:		http://elceef.itsec.pl/natdet/
BuildRequires:	libpcap-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
NATDet is quite small but very useful (especially for network
administrators) tool. By using it, you're able to detect guys who
share internet connection illegaly, without your authorization.

%description -l pl.UTF-8
NATDet jest całkiem małym, ale bardzo użytecznym (zwłaszcza dla
administratorów sieci) narzędziem. Używając go można wykryć
użytkowników, którzy nielegalnie udostępniają połączenie internetowe.

%prep
%setup -q -n %{name}
%patch0 -p1

%build
%configure
%{__make} all natstat \
	CC="%{__cc}" \
	CFLAGS="%{rpmcflags}" \
	PREFIX=$RPM_BUILD_ROOT%{_prefix}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_bindir},%{_mandir}/man1,%{_sysconfdir},%{_datadir}/%{name}}

install natdet $RPM_BUILD_ROOT%{_bindir}
install tools/natstat $RPM_BUILD_ROOT%{_bindir}
install signatures $RPM_BUILD_ROOT%{_datadir}/%{name}
install doc/natdet.1 $RPM_BUILD_ROOT%{_mandir}/man1
install tools/README doc/README-natstat

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc doc/CREDITS doc/README* doc/Platforms doc/CHANGES doc/FAQ doc/debug-mode
%attr(755,root,root) %{_bindir}/*
%{_datadir}/%{name}
%{_mandir}/man1/natdet.1*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: natdet.spec,v $
Revision 1.10  2008/06/04 02:24:54  charles
- updated to 1.0.6

Revision 1.9  2007-02-13 07:16:49  glen
- tabs in preamble

Revision 1.8  2007/02/12 00:49:10  baggins
- converted to UTF-8

Revision 1.7  2006/09/10 00:08:12  darekr
- pass CC and CFLAGS

Revision 1.6  2006/03/07 23:32:05  dzeus
- use patch instead sed, propper prefix

Revision 1.5  2005/05/17 20:31:08  qboosh
- missing dir

Revision 1.4  2005/05/17 18:49:23  tommat
- version 1.0.5
- removed Patch0 - included in sources
- added natstat program
- fixed license
- more documentation
- STBR

Revision 1.3  2004/09/02 11:27:26  snurf
- typos / formatting / etc.

Revision 1.2  2004/07/08 18:55:38  qboosh
- non-personal pl, let rpm compress man, cosmetics

Revision 1.1  2004/07/08 15:05:27  tommat
- initial release
